Skip to main content
GET
/
mockup-threads
List mockup threads
curl --request GET \
  --url https://api.surefeedback.com/api/v1/mockup-threads \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "...",
      "comment_id": "220e8400-e29b-41d4-a716-44665544000c",
      "content": "Use the darker green from the design system here.",
      "is_private": false,
      "created_at": "2026-03-01T10:00:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surefeedback.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns replies for a specific mockup comment.

Query parameters

comment_id
string
required
UUID of the parent mockup comment.
{
  "success": true,
  "data": [
    {
      "id": "...",
      "comment_id": "220e8400-e29b-41d4-a716-44665544000c",
      "content": "Use the darker green from the design system here.",
      "is_private": false,
      "created_at": "2026-03-01T10:00:00Z"
    }
  ]
}